### Enumeration

# Qmi NasRoamingPreference

since: 1.0

#### Declaration

    enum Qmi.NasRoamingPreference

#### Description [src]

Roaming preference.

Available since: 1.0

#### Members

`QMI_NAS_ROAMING_PREFERENCE_OFF`

  Only non-roaming networks.

  - Value: `1`
  - Available since: 1.0
`QMI_NAS_ROAMING_PREFERENCE_NOT_OFF`

  Only roaming networks.

  - Value: `2`
  - Available since: 1.0
`QMI_NAS_ROAMING_PREFERENCE_NOT_FLASHING`

  Only non-roaming networks or not flashing.

  - Value: `3`
  - Available since: 1.0
`QMI_NAS_ROAMING_PREFERENCE_ANY`

  Don’t filter by roaming when acquiring networks.

  - Value: `255`
  - Available since: 1.0

#### Type functions

###### qmi_nas_roaming_preference_get_string

Gets the nickname string for the `QmiNasRoamingPreference` specified at `val`.

since: 1.0